[metadata]
name = hyif
version = 0.1
description = collection of interfaces for Hylleraas Software Platform
long_description = file: README.md
license = LICENSE
classifiers =
    Development Status :: 3 - Alpha
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
    Natural Language :: English
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Topic :: Scientific/Engineering :: Chemistry
    Topic :: Scientific/Engineering :: Physics

[options]
python_requires = >=3.8
zip_safe = True
include_package_data = True
# packages = find:
# package_dir = hyif
install_requires =
    hyset @ git+https://gitlab.com/hylleraasplatform/hyset.git
    pycp2k

[options.package_data]
* = *.txt, *.rst
hello = *.msg

[options.entry_points]
console_scripts =
    executable-name = package.module:function

[settings]
known_third_party = hyobj,hyset,numpy,packaging,pandas,pytest,qcelemental,setuptools,sympy

[coverage:run]
# omit =
#    hygo/optking_optimizer.py
# requires psi4 installation via conda
